---
version: '3'

services:

  front:
    build:
      context: ../
      dockerfile: docker/front.docker
    environment:
        - SERVER=http://server.org:8000
    networks:
      - web

  server:
    build:
      context: ../
      dockerfile: docker/djangoldp.docker
      args:
        serve: http://server.org:8000
    networks:
      web:
        aliases:
          - server.org
      db:

  e2e:
    image: cypress/included:4.3.0
    environment:
      - CYPRESS_baseUrl=https://front
    volumes:
      - ../cypress:/cypress
      - ../cypress.json:/cypress.json
    networks:
      - web

networks:
  web:
  db:
